import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/medicinelist/medicinelist_cache_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/medicinelist/medicinelist_cache_event.dart';

Future<bool> cacheSetMedicineList(BuildContext context, List value) async {
  try {
    final medicineListCache = context.read<MedicineListBloc>();
    medicineListCache.add(MedicineListCacheSet(value));
    return true;
  } catch (e) {
    return false;
  }
}
